.btn
  display inline-block
  vertical-align middle
  text-align center
  border 0
  outline 0
  border-radius 0
  cursor pointer
  font-stretch normal
  font-style normal
  font-weight 500
  font-size 14px
  line-height 16px
  font-family $secondaryFont
  background $primary2
  overflow hidden
  color $white
  text-transform uppercase
  text-decoration none
  z-index 0
  position relative
  transition background-color 0.3s, color 0.3s, opacity 0.3s
  padding 20px 45px
  min-width 180px

  &:after
    content ''
    position absolute
    width 100%
    height 100%
    left 0
    top 0
    z-index -1
    transform translateX(-100%)
    background-color $primary
    transition transform 0.3s

  +fbp(sm)
    min-width 140px
    padding 15px 30px

  &:hover:not(:disabled)
    &:after
      transform translateX(0%)

  &:disabled
  &.disabled
    opacity 1
    background-color $secondary5
    color $white

    &:before
    &:after
      display none

.btn--secondary
  background-color $secondary2

  &:after
    background-color $secondary

  &:before
    border-top-color $secondary
    border-left-color $secondary

.btn--secondary2
  background-color $secondary3

  &:after
    background-color $secondary

  &:before
    border-top-color $secondary
    border-left-color $secondary

.btn--simple
  padding 20px 13px
  min-width 240px
  transition color 0.3s, background-color 0.3s

  &:before
  &:after
    display none

  &:hover:not(:disabled)
    background-color $primary

  &.btn--secondary
    &:hover:not(:disabled)
      background-color  $secondary

.btn--sm
  font-size 14px
  line-height 16px
  padding 20px 15px

.btn--white
  background-color $white
  color $textColor

  &:after
  &:before
    display none

  &:hover:not(:disabled)
    background-color $primary
    color $white
